@keyframes herotext-greeting-animation {
  0% {
    opacity: 0;
  }

  25% {
    opacity: 0.15;
  }

  50% {
    opacity: 0.3;
  }

  100% {
    opacity: 0.55;
  }
}

@keyframes from-bottom-slide {
  0% {
    transform: translateY(100);
  }

  100% {
    transform: translateY(0);
  }
}

@keyframes h1-greeting-animation {
  0% {
    transform: translateY(-150px);
    opacity: 0;
  }

  100% {
    transform: translateY(0px);
    opacity: 1;
  }
}

@keyframes rectangle-is-going {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(1050px);
  }


  100% {
    transform: translateY(0px);
  }
}

body {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background-color: black;
  min-height: 100vh;
  font-family: sans-serif;
  color: white;
  gap: 60px;
  padding: 30px;
}

h1 {
  font-size: 150px;
  font-weight: bold;
  color: white;
  margin: 0;
  text-align: left;
  animation: h1-greeting-animation 1.5s ease-out forwards
}

h2 {
  font-size: 40px;
  margin-bottom: 13px;
}

ul {
  font-size: 20px;
}

#greeting-text {
  opacity: 50%;
  color: white;
  font-size: 30px;
  font-weight: bold;
  max-width: 65ch;
  animation: herotext-greeting-animation 2s ease-out forwards;
  margin: 0;
}

.hero {
  padding: 0;
  height: 100vh;
  margin: 0;
  justify-content: center;
  display: flex;
  flex-direction: column;
}

.skills {
  display: flex;
  flex-direction: column;
}

.programminglan {
  padding: 0px;
}

.icons {
  display: flex;
  gap: 22px;
  flex-direction: row;
}

.rectangle1 {
  animation: rectangle-is-going 8s ease-in-out infinite;
  position: fixed;
  left: 15%;
  opacity: 30%;
}

.rectangle2 {
  animation: rectangle-is-going 5s ease-in-out infinite;
  position: fixed;
  left: 30%;
  opacity: 50%;
}

.rectangle3 {
  animation: rectangle-is-going 10s ease-in-out infinite;
  position: fixed;
  left: 50%;
  opacity: 60%;
}

.rectangle4 {
  animation: rectangle-is-going 15s ease-in-out infinite;
  position: fixed;
  left: 70%;
  opacity: 35%;
}

.program-lang {
  transition-duration: 1s;
  border-radius: 5px;
  margin: 20px;
  font-size: 30px;
  border-bottom: 1px solid #ccc
}

.program-lang:hover {
  transform: translateX(10px);
}